'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _schemes = require('./schemes');

Object.keys(_schemes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _schemes[key];
    }
  });
});

var _user_auth = require('./strategies/user_auth');

var _user_auth2 = _interopRequireDefault(_user_auth);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DEFAULT_CONFIG = {
  authorizeUrl: '/api/authorize',
  expiresIn: '1d',
  strategy: _user_auth2.default
};

exports.default = function (options) {
  var config = Object.assign(DEFAULT_CONFIG, options);
  var authorizeUrl = config.authorizeUrl,
      strategy = config.strategy;


  return {
    beforeConfigureRoutes: function beforeConfigureRoutes(args) {
      var router = args.router,
          database = args.database;


      router.post(authorizeUrl, strategy.authorize(config, database));
      router.use(strategy.secureRoutes(config, database));
    }
  };
};

// export schemes